From lm78@Stimpy.netroedge.com Sat Apr 16 07:40:36 2005
Date: Sat, 16 Apr 2005 18:10:02 +0000
From: Alexey Dobriyan <adobriyan@mail.ru>
To: Jean Delvare <khali@linux-fr.org>
Subject: I2C: drivers/i2c/*: #include <linux/config.h> cleanup



Files that don't use CONFIG_* stuff shouldn't include config.h
Files that use CONFIG_* stuff should include config.h

It's that simple. ;-)

Signed-off-by: Alexey Dobriyan <adobriyan@mail.ru>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/i2c/algos/i2c-algo-sibyte.c    |    1 -
 drivers/i2c/busses/i2c-ali1535.c       |    1 -
 drivers/i2c/busses/i2c-ali15x3.c       |    1 -
 drivers/i2c/busses/i2c-amd756.c        |    1 -
 drivers/i2c/busses/i2c-amd8111.c       |    1 -
 drivers/i2c/busses/i2c-au1550.c        |    1 -
 drivers/i2c/busses/i2c-elektor.c       |    1 -
 drivers/i2c/busses/i2c-frodo.c         |    1 -
 drivers/i2c/busses/i2c-i801.c          |    1 -
 drivers/i2c/busses/i2c-i810.c          |    1 -
 drivers/i2c/busses/i2c-ibm_iic.h       |    1 -
 drivers/i2c/busses/i2c-isa.c           |    1 -
 drivers/i2c/busses/i2c-ite.c           |    1 -
 drivers/i2c/busses/i2c-keywest.c       |    1 -
 drivers/i2c/busses/i2c-nforce2.c       |    1 -
 drivers/i2c/busses/i2c-parport-light.c |    1 -
 drivers/i2c/busses/i2c-parport.c       |    1 -
 drivers/i2c/busses/i2c-pca-isa.c       |    1 -
 drivers/i2c/busses/i2c-piix4.c         |    1 -
 drivers/i2c/busses/i2c-prosavage.c     |    1 -
 drivers/i2c/busses/i2c-rpx.c           |    1 -
 drivers/i2c/busses/i2c-s3c2410.c       |    1 +
 drivers/i2c/busses/i2c-savage4.c       |    1 -
 drivers/i2c/busses/i2c-sibyte.c        |    1 -
 drivers/i2c/busses/i2c-sis5595.c       |    1 -
 drivers/i2c/busses/i2c-sis630.c        |    1 -
 drivers/i2c/busses/i2c-sis96x.c        |    1 -
 drivers/i2c/busses/i2c-stub.c          |    1 -
 drivers/i2c/busses/i2c-via.c           |    1 -
 drivers/i2c/busses/i2c-viapro.c        |    1 -
 drivers/i2c/busses/i2c-voodoo3.c       |    1 -
 drivers/i2c/busses/scx200_acb.c        |    1 -
 drivers/i2c/chips/adm1021.c            |    1 -
 drivers/i2c/chips/adm1025.c            |    1 -
 drivers/i2c/chips/adm1026.c            |    1 -
 drivers/i2c/chips/ds1337.c             |    1 -
 drivers/i2c/chips/eeprom.c             |    1 -
 drivers/i2c/chips/fscher.c             |    1 -
 drivers/i2c/chips/gl518sm.c            |    1 -
 drivers/i2c/chips/it87.c               |    1 -
 drivers/i2c/chips/lm63.c               |    1 -
 drivers/i2c/chips/lm75.c               |    1 -
 drivers/i2c/chips/lm77.c               |    1 -
 drivers/i2c/chips/lm78.c               |    1 -
 drivers/i2c/chips/lm80.c               |    1 -
 drivers/i2c/chips/lm83.c               |    1 -
 drivers/i2c/chips/lm85.c               |    1 -
 drivers/i2c/chips/lm87.c               |    1 -
 drivers/i2c/chips/lm90.c               |    1 -
 drivers/i2c/chips/max1619.c            |    1 -
 drivers/i2c/chips/pc87360.c            |    1 -
 drivers/i2c/chips/via686a.c            |    1 -
 drivers/i2c/chips/w83781d.c            |    1 -
 drivers/i2c/chips/w83l785ts.c          |    1 -
 drivers/i2c/i2c-core.c                 |    1 -
 drivers/i2c/i2c-dev.c                  |    1 -
 56 files changed, 1 insertion(+), 55 deletions(-)

--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-sibyte.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-sibyte.c	2005-05-03 14:59:48.000000000 -0700
@@ -24,7 +24,6 @@
 
 /* Ported for SiByte SOCs by Broadcom Corporation.  */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ali1535.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ali1535.c	2005-05-03 14:59:48.000000000 -0700
@@ -53,7 +53,6 @@
 
 /* Note: we assume there can only be one ALI1535, with one SMBus interface */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ali15x3.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ali15x3.c	2005-05-03 14:59:48.000000000 -0700
@@ -60,7 +60,6 @@
 
 /* Note: we assume there can only be one ALI15X3, with one SMBus interface */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-amd756.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-amd756.c	2005-05-03 14:59:48.000000000 -0700
@@ -37,7 +37,6 @@
    Note: we assume there can only be one device, with one SMBus interface.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-amd8111.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-amd8111.c	2005-05-03 14:59:48.000000000 -0700
@@ -8,7 +8,6 @@
  * the Free Software Foundation version 2.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-au1550.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-au1550.c	2005-05-03 14:59:48.000000000 -0700
@@ -27,7 +27,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
-#include <linux/config.h>
 #include <linux/delay.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-elektor.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-elektor.c	2005-05-03 14:59:48.000000000 -0700
@@ -25,7 +25,6 @@
 /* Partialy rewriten by Oleg I. Vdovikin for mmapped support of 
    for Alpha Processor Inc. UP-2000(+) boards */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/ioport.h>
 #include <linux/module.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-frodo.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-frodo.c	2005-05-03 14:59:48.000000000 -0700
@@ -12,7 +12,6 @@
  * version 2 as published by the Free Software Foundation.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-i801.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-i801.c	2005-05-03 14:59:48.000000000 -0700
@@ -41,7 +41,6 @@
 
 /* Note: we assume there can only be one I801, with one SMBus interface */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-i810.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-i810.c	2005-05-03 14:59:48.000000000 -0700
@@ -34,7 +34,6 @@
    i815			1132           
 */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ibm_iic.h	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ibm_iic.h	2005-05-03 14:59:48.000000000 -0700
@@ -22,7 +22,6 @@
 #ifndef __I2C_IBM_IIC_H_
 #define __I2C_IBM_IIC_H_
 
-#include <linux/config.h>
 #include <linux/i2c.h> 
 
 struct iic_regs {
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-isa.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-isa.c	2005-05-03 14:59:48.000000000 -0700
@@ -24,7 +24,6 @@
    the SMBus and the ISA bus very much easier. See lm78.c for an example
    of this. */
 
-#include <linux/config.h>
 #include <linux/init.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ite.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ite.c	2005-05-03 14:59:48.000000000 -0700
@@ -33,7 +33,6 @@
 /* With some changes from Kysti Mlkki <kmalkki@cc.hut.fi> and even
    Frodo Looijaard <frodol@dds.nl> */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/ioport.h>
 #include <linux/module.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-keywest.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-keywest.c	2005-05-03 14:59:48.000000000 -0700
@@ -46,7 +46,6 @@
     sound driver to be happy
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/ioport.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-nforce2.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-nforce2.c	2005-05-03 14:59:48.000000000 -0700
@@ -37,7 +37,6 @@
 
 /* Note: we assume there can only be one nForce2, with two SMBus interfaces */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-parport-light.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-parport-light.c	2005-05-03 14:59:48.000000000 -0700
@@ -24,7 +24,6 @@
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  * ------------------------------------------------------------------------ */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-parport.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-parport.c	2005-05-03 14:59:48.000000000 -0700
@@ -24,7 +24,6 @@
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  * ------------------------------------------------------------------------ */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-pca-isa.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-pca-isa.c	2005-05-03 14:59:48.000000000 -0700
@@ -17,7 +17,6 @@
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/ioport.h>
 #include <linux/module.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-piix4.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-piix4.c	2005-05-03 14:59:48.000000000 -0700
@@ -28,7 +28,6 @@
    Note: we assume there can only be one device, with one SMBus interface.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/moduleparam.h>
 #include <linux/pci.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-prosavage.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-prosavage.c	2005-05-03 14:59:48.000000000 -0700
@@ -54,7 +54,6 @@
  *    (Additional documentation needed :(
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/pci.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-rpx.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-rpx.c	2005-05-03 14:59:48.000000000 -0700
@@ -11,7 +11,6 @@
  * changed to eliminate RPXLite references.
  */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-s3c2410.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-s3c2410.c	2005-05-03 14:59:48.000000000 -0700
@@ -20,6 +20,7 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
+#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-savage4.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-savage4.c	2005-05-03 14:59:48.000000000 -0700
@@ -29,7 +29,6 @@
    it easier to add later.
 */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sibyte.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sibyte.c	2005-05-03 14:59:48.000000000 -0700
@@ -17,7 +17,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/i2c-algo-sibyte.h>
 #include <asm/sibyte/sb1250_regs.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis5595.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis5595.c	2005-05-03 14:59:48.000000000 -0700
@@ -55,7 +55,6 @@
  * Add adapter resets
  */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/delay.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis630.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis630.c	2005-05-03 14:59:48.000000000 -0700
@@ -48,7 +48,6 @@
    Note: we assume there can only be one device, with one SMBus interface.
 */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/delay.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis96x.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis96x.c	2005-05-03 14:59:48.000000000 -0700
@@ -32,7 +32,6 @@
     We assume there can only be one SiS96x with one SMBus interface.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-stub.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-stub.c	2005-05-03 14:59:48.000000000 -0700
@@ -21,7 +21,6 @@
 
 #define DEBUG 1
 
-#include <linux/config.h>
 #include <linux/init.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-via.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-via.c	2005-05-03 14:59:48.000000000 -0700
@@ -21,7 +21,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/pci.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-viapro.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-viapro.c	2005-05-03 14:59:48.000000000 -0700
@@ -33,7 +33,6 @@
    Note: we assume there can only be one device, with one SMBus interface.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/delay.h>
 #include <linux/pci.h>
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-voodoo3.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-voodoo3.c	2005-05-03 14:59:48.000000000 -0700
@@ -27,7 +27,6 @@
 /* This interfaces to the I2C bus of the Voodoo3 to gain access to
     the BT869 and possibly other I2C devices. */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/busses/scx200_acb.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/scx200_acb.c	2005-05-03 14:59:48.000000000 -0700
@@ -24,7 +24,6 @@
 
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/errno.h>
 #include <linux/kernel.h>
--- gregkh-2.6.orig/drivers/i2c/chips/adm1021.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/adm1021.c	2005-05-03 14:59:48.000000000 -0700
@@ -19,7 +19,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/adm1025.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/adm1025.c	2005-05-03 14:59:48.000000000 -0700
@@ -45,7 +45,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/adm1026.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/adm1026.c	2005-05-03 14:59:48.000000000 -0700
@@ -23,7 +23,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/ds1337.c	2005-05-03 14:59:47.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/ds1337.c	2005-05-03 14:59:48.000000000 -0700
@@ -13,7 +13,6 @@
  * Driver for Dallas Semiconductor DS1337 real time clock chip
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/eeprom.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/eeprom.c	2005-05-03 14:59:48.000000000 -0700
@@ -26,7 +26,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
 #include <linux/module.h>
--- gregkh-2.6.orig/drivers/i2c/chips/fscher.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/fscher.c	2005-05-03 14:59:48.000000000 -0700
@@ -26,7 +26,6 @@
  *  and Philip Edelbrock <phil@netroedge.com>
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/gl518sm.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/gl518sm.c	2005-05-03 14:59:48.000000000 -0700
@@ -36,7 +36,6 @@
  * 2004-01-31  Code review and approval. (Jean Delvare)
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/it87.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/it87.c	2005-05-03 14:59:48.000000000 -0700
@@ -31,7 +31,6 @@
     type at module load time.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm63.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm63.c	2005-05-03 14:59:48.000000000 -0700
@@ -37,7 +37,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm75.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm75.c	2005-05-03 14:59:48.000000000 -0700
@@ -18,7 +18,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm77.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm77.c	2005-05-03 14:59:48.000000000 -0700
@@ -25,7 +25,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm78.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm78.c	2005-05-03 14:59:48.000000000 -0700
@@ -18,7 +18,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm80.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm80.c	2005-05-03 14:59:48.000000000 -0700
@@ -21,7 +21,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm83.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm83.c	2005-05-03 14:59:48.000000000 -0700
@@ -27,7 +27,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm85.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm85.c	2005-05-03 14:59:48.000000000 -0700
@@ -23,7 +23,6 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm87.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm87.c	2005-05-03 14:59:48.000000000 -0700
@@ -52,7 +52,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/lm90.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/lm90.c	2005-05-03 14:59:48.000000000 -0700
@@ -70,7 +70,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/max1619.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/max1619.c	2005-05-03 14:59:48.000000000 -0700
@@ -26,7 +26,6 @@
  */
 
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/pc87360.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/pc87360.c	2005-05-03 14:59:48.000000000 -0700
@@ -33,7 +33,6 @@
  *  the standard Super-I/O addresses is used (0x2E/0x2F or 0x4E/0x4F).
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/via686a.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/via686a.c	2005-05-03 14:59:48.000000000 -0700
@@ -30,7 +30,6 @@
     Warning - only supports a single device.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/slab.h>
 #include <linux/pci.h>
--- gregkh-2.6.orig/drivers/i2c/chips/w83781d.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/w83781d.c	2005-05-03 14:59:48.000000000 -0700
@@ -35,7 +35,6 @@
 
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
 #include <linux/slab.h>
--- gregkh-2.6.orig/drivers/i2c/chips/w83l785ts.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/w83l785ts.c	2005-05-03 14:59:48.000000000 -0700
@@ -30,7 +30,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/delay.h>
 #include <linux/init.h>
--- gregkh-2.6.orig/drivers/i2c/i2c-core.c	2005-05-03 14:59:39.000000000 -0700
+++ gregkh-2.6/drivers/i2c/i2c-core.c	2005-05-03 14:59:48.000000000 -0700
@@ -21,7 +21,6 @@
    All SMBus-related things are written by Frodo Looijaard <frodol@dds.nl>
    SMBus 2.0 support by Mark Studebaker <mdsxyz123@yahoo.com>                */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/errno.h>
--- gregkh-2.6.orig/drivers/i2c/i2c-dev.c	2005-05-03 14:53:27.000000000 -0700
+++ gregkh-2.6/drivers/i2c/i2c-dev.c	2005-05-03 14:59:48.000000000 -0700
@@ -29,7 +29,6 @@
 /* The devfs code is contributed by Philipp Matthias Hahn 
    <pmhahn@titan.lahn.de> */
 
-#include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/fs.h>
